System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeStatement System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can be used to represent a try/ catch block of code.

The property contains the statements to execute within a try block. The property contains the catch clauses to handle caught exceptions. The property contains the statements to execute within a finally block.

Not all languages support try/catch blocks. Call the method with the flag to determine whether a code generator supports try/catch blocks.

Represents a try block with any number of catch clauses and, optionally, a finally block.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified statements for try and catch clauses.

  An array of objects that indicate the statements to try.
  An array of objects that indicate the clauses to catch.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified statements for try, catch clauses, and finally statements.

  An array of objects that indicate the statements to try.
  An array of objects that indicate the clauses to catch.
  An array of objects that indicate the finally statements to use.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeCatchClauseCollection To be added: an object of type 'CodeCatchClauseCollection' To be added

  Gets the catch clauses to use.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeStatementCollection To be added: an object of type 'CodeStatementCollection' To be added

  Gets the finally statements to use.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeStatementCollection To be added: an object of type 'CodeStatementCollection' To be added

  Gets the statements to try.